## Apache Zeta Components Manual :: Docs For Class ezcTestSettings

### UnitTest::ezcTestSettings

### Class ezcTestSettings

This object stores the settings from the TestRunner.

Every TestCase can get the instance of this object, and access the settings.

Source for this file: /UnitTest/src/test/settings.php

Version: | //autogentag//

### Method Summary

public static void | `getInstance( )` Returns an instance of this class.
public void | `setDatabaseSettings( $settings )` Set all the database settings via a given settings array.

### Methods

#### getInstance

static void getInstance( )

Returns an instance of this class.

#### setDatabaseSettings

void setDatabaseSettings( $settings )

Set all the database settings via a given settings array.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$settings` |  |

Documentation generated by phpDocumentor 1.4.3